Prolong
curl --request POST \
--url https://api.streamskill.pro/v1/purchases/{orderId}/prolong \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"count": 1
}'import requests
url = "https://api.streamskill.pro/v1/purchases/{orderId}/prolong"
payload = { "count": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({count: 1})
};
fetch('https://api.streamskill.pro/v1/purchases/{orderId}/prolong', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401,
"type": "unauthorized_http_exception"
}{
"name": "Insufficient Funds",
"message": "Insufficient funds",
"code": 0,
"status": 402,
"type": "insufficient_funds_exception",
"required_balance": 100,
"current_balance": 50
}{
"name": "Purchase not found",
"code": 0,
"message": "Object not found: {ID}",
"status": 404,
"type": "purchase_not_found_exception"
}{
"name": "Method Not Allowed",
"message": "Action is unavailable for this order",
"code": 0,
"status": 405,
"type": "action_unavailable"
}{
"name": "Purchase Done",
"message": "Order already completed",
"code": 0,
"status": 409,
"type": "purchase_done"
}{
"name": "Bad Request",
"errors": {
"tarif.id": [
"Tarif not found"
]
},
"code": 0,
"status": 422,
"type": "validate_exception"
}{
"name": "Action failed",
"message": "Action not performed",
"code": 0,
"status": 500,
"type": "action_failed"
}Actions
Prolong purchase
POST
/
purchases
/
{orderId}
/
prolong
Prolong
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The language of the response
Available options:
en, ru Path Parameters
The ID of the order
Body
application/json
The count of the prolong (if tarif hourly - count of hours, else - count of days)
Required range:
x >= 1Example:
1
Response
Action Success
The status of the action
Example:
"ok"
⌘I